umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
UMLForeignKeyConstraintDialog::ColumnWidgets Struct Reference

## Public Attributes
QTreeWidget * | mappingTW
KComboBox * | localColumnCB
KComboBox * | referencedColumnCB
QLabel * | localColumnL
QLabel * | referencedColumnL
QPushButton * | addPB
QPushButton * | removePB

## Member Data Documentation

## ◆ addPB

QPushButton* UMLForeignKeyConstraintDialog::ColumnWidgets::addPB

## ◆ localColumnCB

KComboBox* UMLForeignKeyConstraintDialog::ColumnWidgets::localColumnCB

## ◆ localColumnL

QLabel* UMLForeignKeyConstraintDialog::ColumnWidgets::localColumnL

## ◆ mappingTW

QTreeWidget* UMLForeignKeyConstraintDialog::ColumnWidgets::mappingTW

## ◆ referencedColumnCB

KComboBox* UMLForeignKeyConstraintDialog::ColumnWidgets::referencedColumnCB

## ◆ referencedColumnL

QLabel* UMLForeignKeyConstraintDialog::ColumnWidgets::referencedColumnL

## ◆ removePB

QPushButton * UMLForeignKeyConstraintDialog::ColumnWidgets::removePB

The documentation for this struct was generated from the following file:

- umbrello/dialogs/umlforeignkeyconstraintdialog.h